//***************************************************************************************
//***
//***	Projectname:	Control Interface	
//***	Filename:		System.h
//***	Shortcut:		SYS
//***	Author:			Ralf Hochhausen
//***	Date:			22.10.2003
//***	Acual Version:	V1.0 (Initial Version)
//***	
//***	Description:	Operating system with ms time tick
//***
//***	File-History:	22.10.2003
//***					V1.0	Initial Version	
//***
//***************************************************************************************

#ifndef __SYS_H

#define __SYS_H

//***************************************************************************************
//***
//***	Function:		void SYS_vHandleTask(void)
//***	
//***	Return Type:	void
//***
//***	Parameters:		none
//***	
//***	Task handler of the operating system. 1.04ms time tick and time control
//***
//***************************************************************************************
void SYS_vHandleTask(void);

//***************************************************************************************
//***
//***	Function:		void SYS_vInit(void)
//***	
//***	Return Type:	void
//***
//***	Parameters:		none
//***	
//***	Intialization of the 1ms time tick (exact 1.04ms)
//***
//***************************************************************************************
void SYS_vInit(void);

#endif
